Welcome to Centmin Mod Community
Register Now

Error parsing header X-XSS-Protection: 1; mode=block;

Discussion in 'Nginx, PHP-FPM & MariaDB MySQL' started by pamamolf, Jan 26, 2018.

  1. pamamolf

    pamamolf Well-Known Member

    3,108
    294
    83
    May 31, 2014
    Ratings:
    +529
    Local Time:
    3:30 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Please fill in any relevant information that applies to you:
    • CentOS Version:CentOS 7 64bit ?
    • Centmin Mod Version Installed:123.09beta01
    • Nginx Version Installed: 1.13.8
    • PHP Version Installed: 7.1.x
    • MariaDB MySQL Version Installed: 10.1.30

    Hello :)

    I just notice this error at Chrome inspect tool:

    Searching on the net i found that it has to do with the headers and it can be fixed also in Nginx level ....

    What's your opinion and what's do you think will be the proper fix for this?

    Does Centminmod has any related setting at Nginx level to adjust?

    That's what i can see as related bt don't know if i must enable any of them or all or none :

    Maybe to enable that one?

    Thank you
     
  2. eva2000

    eva2000 Administrator Staff Member

    35,100
    7,750
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +11,951
    Local Time:
    10:30 AM
    Nginx 1.15.x
    MariaDB 5.5/10.x
  3. pamamolf

    pamamolf Well-Known Member

    3,108
    294
    83
    May 31, 2014
    Ratings:
    +529
    Local Time:
    3:30 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    If anyone has any idea :)
     
  4. eva2000

    eva2000 Administrator Staff Member

    35,100
    7,750
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +11,951
    Local Time:
    10:30 AM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    will you duplicate sets of x-xss-protection headers so that isn't the issue. Did you check with cloudflare bypass/disabled ?
     
  5. pamamolf

    pamamolf Well-Known Member

    3,108
    294
    83
    May 31, 2014
    Ratings:
    +529
    Local Time:
    3:30 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    I will check it.....
     
..